Retrieve credential data
Roles
Analytics Events
/v2/credentials/web-semantic/{id}Returns all available data for an existing credential that matches the provided ID:
- For credentials that were created with the
persistflag set totrue, the response contains both the credential and its metadata. - For credentials that were created with the persist flag set to
false, the response only contains the metadata (id,tag,credentialStatus,issuanceDate)
Analytic events
- CREDENTIAL_WEB_SEMANTIC_RETRIEVE_START
- CREDENTIAL_WEB_SEMANTIC_RETRIEVE_SUCCESS
- CREDENTIAL_WEB_SEMANTIC_RETRIEVE_FAIL
Authorization
bearerAuth In: header
Path Parameters
Credential ID
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/credentials/web-semantic/string"{ "id": "873277c0-a162-11ea-8a1d-a111119347e6", "credential": { "@context": [ "https://www.w3.org/2018/credentials/v1" ], "type": [ "VerifiableCredential", "AlumniCredential" ], "issuer": { "id": "did:web:organization.com", "name": "Example University" }, "issuanceDate": "2020-05-02T12:06:29.156Z", "credentialStatus": { "id": "https://tenant.vii.mattr.global/v1/revocation-lists/cc641396-3750-43c8-b8b8-f30d74eb3fb3#1", "type": "RevocationList2020Status", "revocationListCredential": "https://tenant.vii.mattr.global/v1/revocation-lists/cc641396-3750-43c8-b8b8-f30d74eb3fb3", "revocationListIndex": 4 }, "credentialSubject": { "givenName": "Jamie", "familyName": "Doe" }, "proof": { "type": "Ed25519Signature2018", "created": "2020-05-02T12:06:29Z", "jws": "EXAMPLE_JWS_TOKEN_eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c", "proofPurpose": "assertionMethod", "verificationMethod": "did:web:organization.com" } }, "tag": "identifier123", "credentialStatus": { "id": "https://tenant.vii.mattr.global/v1/revocation-lists/cc641396-3750-43c8-b8b8-f30d74eb3fb3#1", "type": "RevocationList2020Status", "revocationListCredential": "https://tenant.vii.mattr.global/v1/revocation-lists/cc641396-3750-43c8-b8b8-f30d74eb3fb3", "revocationListIndex": 4 }, "issuanceDate": "2020-05-02T12:06:29.156Z"}How would you rate this page?
Retrieve all credential data GET
Returns all available data for existing credentials: - For credentials that were created with the `persist` flag set to `true`, the response contains both the credential and its metadata. - For credentials that were created with the persist flag set to `false`, the response only contains the metadata (`id`, `tag`, `credentialStatus`, `issuanceDate`). ### **Analytic events** * CREDENTIAL_WEB_SEMANTIC_RETRIEVE_LIST_START * CREDENTIAL_WEB_SEMANTIC_RETRIEVE_LIST_SUCCESS * CREDENTIAL_WEB_SEMANTIC_RETRIEVE_LIST_FAIL
Delete credential data DELETE
Deletes all stored data for an existing credential that matches the provided ID. If the credential is revocable, it will also be permanently revoked. <Callout> Removed credential data cannot be recovered. </Callout> ### **Analytic events** * CREDENTIAL_WEB_SEMANTIC_DELETE_START * CREDENTIAL_WEB_SEMANTIC_DELETE_SUCCESS * CREDENTIAL_WEB_SEMANTIC_DELETE_FAIL